# dynamic_adaptor_data.hpp File Reference

`#include <boost/config.hpp>`
`#include <boost/preprocessor/stringize.hpp>`
`#include <boost/plugin.hpp>`

Go to the source code of this file.

## Classes
struct | static_adaptor_load_data_type
struct | static_package_load_data_type
## Defines
#define | SAGA_ENGINE_STATIC_ADAPTOR_DATA_HPP
#define | SAGA_LITE_DECLARE_ADAPTOR(name)
#define | SAGA_LITE_DEFINE_ADAPTOR(name)
#define | SAGA_LITE_DECLARE_PACKAGE(name)
#define | SAGA_LITE_DEFINE_PACKAGE(name)
## Variables
static_adaptor_load_data_type | static_adaptor_load_data []
static_package_load_data_type | static_package_load_data []

## Define Documentation

#define SAGA_ENGINE_STATIC_ADAPTOR_DATA_HPP

#define SAGA_LITE_DECLARE_ADAPTOR | ( | name |  | ) |

Value:

    extern "C" void BOOST_PLUGIN_FORCE_LOAD_NAME(SAGA_MANGLE_ADAPTOR_NAME(name))();   \
        extern "C" BOOST_PLUGIN_EXPORT_API std::map<std::string, boost::any>&             \
            BOOST_PLUGIN_API BOOST_PLUGIN_LIST_NAME(SAGA_MANGLE_ADAPTOR_NAME(name))()     \

#define SAGA_LITE_DEFINE_ADAPTOR | ( | name |  | ) |

Value:

    {                                                                                 \
            BOOST_PP_STRINGIZE(name),                                                     \
            BOOST_PLUGIN_FORCE_LOAD_NAME(SAGA_MANGLE_ADAPTOR_NAME(name)),                 \
            BOOST_PLUGIN_LIST_NAME(SAGA_MANGLE_ADAPTOR_NAME(name))                        \
        }                                                                                 \

#define SAGA_LITE_DECLARE_PACKAGE | ( | name |  | ) |

Value:

    extern "C" void BOOST_PLUGIN_FORCE_LOAD_NAME(SAGA_MANGLE_PACKAGE_NAME(name))();   \
        namespace saga { unsigned long get_ ## name ## _package_version(); }              \

#define SAGA_LITE_DEFINE_PACKAGE | ( | name |  | ) |

Value:

    {                                                                                 \
            BOOST_PP_STRINGIZE(name),                                                     \
            BOOST_PLUGIN_FORCE_LOAD_NAME(SAGA_MANGLE_PACKAGE_NAME(name)),                 \
            &saga::get_ ## name ## _package_version                                       \
        }                                                                                 \

## Variable Documentation

static_adaptor_load_data_type static_adaptor_load_data[]

Initial value:

    {

        { NULL, NULL }
    }

static_package_load_data_type static_package_load_data[]

Initial value:

    {

        { NULL, NULL }
    }